function ediagvsp
%EDIAGVSP: Switch to the edit the AGV simulation parameters mode
%
%          ediagvsp
%

% Fuzzy Path Tracking for Automated Guided Vehicle
% By Szilveszter Kovacs
% e-mail: szkszilv@gold.uni-miskolc.hu
%   Copyright (c) by Szilveszter Kovacs

  % Modify the user interface

figNumber = gcf;  % The figure

hndlList = get(figNumber,'UserData');

startHndl = hndlList(1);
closeHndl = hndlList(3);
editHndl = hndlList(4);
radiusHndl = hndlList(5);
massHndl = hndlList(6);
plotHndl = hndlList(7);
obstHndl = hndlList(8);
stateHndl = hndlList(9);
speedHndl = hndlList(10);

if strcmp(get(editHndl,'String'), 'Edit')  % Change to edit mode

    % Modify the buttons

  set([startHndl closeHndl plotHndl],'Enable','off');
  set([radiusHndl massHndl obstHndl speedHndl],'Enable','on');
  set(stateHndl,'String','Stopping',...
    'ForegroundColor','w');
  set(editHndl,'String','Ready');

else  % Change to normal mode

    % Modify the buttons

  set([startHndl closeHndl],'Enable','on');
  set([radiusHndl massHndl obstHndl speedHndl],'Enable','off');
  set(editHndl,'String','Edit');

end  % if

