function [agv]=genagv
%GENAGV: Generate the AGV parameters.
%
%                            [agv]=gagvpar
%
%          Where agv is the description of the vehicle.
%
%          agv:
%
%            w : distance of the sensor from the main point of the AGV
%            d : distance of the wheels
%            ds : widt of the path sensing
%            wagv : width of the AGV
%            lagv : length of the AGV
%

% Fuzzy Path Tracking for Automated Guided Vehicle
% By Szilveszter Kovacs
% e-mail: szkszilv@gold.uni-miskolc.hu
%   Copyright (c) by Szilveszter Kovacs

%          magv is the mass of the AGV,

agv(1) = 1;  % the distance of the guide and the main point of the agv (w)
agv(2) = 1;  % the distance of the wheels (d)
agv(3) = 1;  % width of the path sensing (ds)
agv(4) = agv(2).*1.1;  % width of the AGV (wagv)
agv(5) = agv(1).*1.1.*2;  % length of the AGV (lagv)

