function moveobj
%MOVEOBJ: Move the obstacle objects in edit mode
%
%          moveobj
%

% Fuzzy Path Tracking for Automated Guided Vehicle
% By Szilveszter Kovacs
% e-mail: szkszilv@gold.uni-miskolc.hu
%   Copyright (c) by Szilveszter Kovacs

  % The current figure

figNumber = gcf;  % The figure
axesNumber = gca;  % The axes

hndlList = get(figNumber,'UserData');

  % the edit button

editHndl = hndlList(4);

if strcmp(get(editHndl,'String'), 'Ready')  % In edit mode

    % Get the current object

  obj = get(figNumber,'CurrentObject');

    % Obstacle objects

  obstHndl = hndlList(8);
  obstnum = get(obstHndl,'Value');

    % If the current object is an obstacle, than move it

  if obstnum > 0  % there are obstacles

    for i=1 : obstnum

    obsobj(i) = hndlList(10+i);

      if obj == obsobj(i)  % the ith obstacle is active

        curpos = get(axesNumber,'CurrentPoint');
        moveobst(obsobj(i),curpos(1,1),curpos(1,2));

      end  % if

    end  % for i

  end  % if

end  % if

