function moveobst(obsobj,x,y)
%MOVEOBST: Init the obstacle objects
%
%                    moveobst(obsobj,x,y)
%
%          Where obsobj are the obstacle objects,
%          x,y is the new position.
%
%          obsobj:
%
%            'userdata',[off,x,y,robs]:
%              off = -1;  % off, on flags
%              on = 1;
%              x,y : position
%              robs : radius
%

% Fuzzy Path Tracking for Automated Guided Vehicle
% By Szilveszter Kovacs
% e-mail: szkszilv@gold.uni-miskolc.hu
%   Copyright (c) by Szilveszter Kovacs

if nargin ~= 3,error('Invalid number of arguments!');end

a = (0 : .01 : 1).*2.*pi;

userdata = get(obsobj,'userdata');
robs = userdata(4);
userdata(2) = x;  % new position
userdata(3) = y;

set(obsobj,'userdata',userdata);  % set new values

xo = robs.*sin(a)+x;  % new position
yo = robs.*cos(a)+y;

  % move the obstacle

set(obsobj,...
  'xdata',xo,'ydata',yo);

