function nvar=normvar(alim,var)
%NORMVAR: Normalization and limitation of a variable
%
%                            nvar=normvar(alim,var)
%
%          Where nvar is the normalized and limited variable,
%          alim is the absolute limit,
%          var is the variable to normalize.
%

% Fuzzy Path Tracking for Automated Guided Vehicle
% By Szilveszter Kovacs
% e-mail: szkszilv@gold.uni-miskolc.hu
%   Copyright (c) by Szilveszter Kovacs

if nargin ~= 2,error('Invalid number of arguments!');end

nvar = var./alim;  % normalization

if nvar > 1  % limiting
  nvar = 1;
end

if nvar < -1  % limiting
  nvar = -1;
end

