function plagvs(agv,rpos,pcs)
%PLAGVS: Plot AGVs on screen
%
%                    plagvs(agv,rpos,pcs)
%
%          Where agv is the description of the vehicle,
%          rpos is the description of the agv's positons,
%          pcs is the number of the AGVs to draw
%
%          agv:
%
%            w : distance of the sensor from the main point of the AGV
%            d : distance of the wheels
%            ds : widt of the path sensing
%            wagv : width of the AGV
%            lagv : length of the AGV
%
%          rpos:
%
%            xk,yk : the main point of the AGV
%            fi    : angle of the AGV
%

% Fuzzy Path Tracking for Automated Guided Vehicle
% By Szilveszter Kovacs
% e-mail: szkszilv@gold.uni-miskolc.hu
%   Copyright (c) by Szilveszter Kovacs

if nargin ~= 3,error('Invalid number of arguments!');end

if length(agv) ~= 5
  error('Invalid AGV descriptor!');
end

if length(pcs) ~= 1
  error('Invalid AGV number!');
end

[m,n] = size(rpos);

if n ~= 3
  error('Invalid positions!');
end

  % Draw pcs peaces of AGVs

pcs = pcs-1;

if pcs < 1, pcs = 1; end;

step = fix(m./pcs);

for i=1 : step : m

    % Generate the AGV object

  agvobj = initagvo;  % Init the AGV object

    % Plot the AGV on screen in a given position

  plotagv(agv,[rpos(i,1),rpos(i,2),rpos(i,3)],agvobj);

end  % for i

