function plobst(obst)
%PLOBST: Plot the obstacles
%
%            plobst(obst)
%
%          Where obst is the description of the obstacles.
%
%          obst:
%
%            x,y : position of the obstacle
%            r  : radius of the obstacle
%

% Fuzzy Path Tracking for Automated Guided Vehicle
% By Szilveszter Kovacs
% e-mail: szkszilv@gold.uni-miskolc.hu
%   Copyright (c) by Szilveszter Kovacs

if nargin ~= 1,error('Invalid number of arguments!');end

[m,n] = size(obst);

a = (0 : .01 : 1).*2.*pi;  % temp. variable

if m>0  % if there are obstacles to draw

  if n ~= 3
    error('Invalid obstacles!');
  end

  for i=1 : m

    x = obst(i,1);  % position of the obstacle
    y = obst(i,2);
    robs = obst(i,3);  % radius of the obstacle

    xo = robs.*sin(a)+x;  % circle
    yo = robs.*cos(a)+y;

      % Draw the line of the obstacles

    hold on;  % Draw in the same window
    plot(xo,yo,'m-');  % line of the circle

  end  % for i

end  % if

