function refrobst(obsobj)
%REFROBST: Refresh the visibility of the obstacle objects
%
%                    refrobst(obsobj)
%
%          Where obsobj are the obstacle objects.
%

% Fuzzy Path Tracking for Automated Guided Vehicle
% By Szilveszter Kovacs
% e-mail: szkszilv@gold.uni-miskolc.hu
%   Copyright (c) by Szilveszter Kovacs

if nargin ~= 1,error('Invalid number of arguments!');end

  % Modify the visibility of the obstacle objects

figNumber = gcf;  % The figure

hndlList = get(figNumber,'UserData');

obstHndl = hndlList(8);

obstnum = get(obstHndl,'Value');

[m,n] = size(obsobj);

off = -1;  % flags for user data
on = 1;

for i=1 : n

  userdata = get(obsobj(i),'userdata');
  userdata(1) = off;  % modify the user data

  set(obsobj(i),'visible','off',...  % do not show the obstacles
    'userdata',userdata);  % set user data

end  % for i

if obstnum ~= 0  % there are obstacles

  for i=1 : obstnum

    userdata = get(obsobj(i),'userdata');
    userdata(1) = on;  % modify the user data

    set(obsobj(i),'visible','on',...  % show the obstacles
      'userdata',userdata);  % set user data

  end  % for i

end  % if

